Modify

Opened 2 weeks ago

Last modified 12 days ago

#15127 new defect

NumberFormatException with java 9

Reported by: naoliv Owned by: Don-vip
Priority: normal Milestone:
Component: Plugin geotools Version:
Keywords: java9 Cc:

Description

After reading that JOSM is compatible with java 9, I decide to give a try.
While loading JOSM I can see this:

2017-08-08 21:35:56.563 INFORMAÇÕES: carregando plugin 'geotools' (versão 33380)
Caught and handled this exception :
java.lang.NumberFormatException: For input string: ""
	at java.base/java.lang.NumberFormatException.forInputString(NumberFormatException.java:65)
	at java.base/java.lang.Integer.parseInt(Integer.java:662)
	at java.base/java.lang.Integer.parseInt(Integer.java:770)
	at com.sun.media.imageioimpl.common.ImageUtil.processOnRegistration(ImageUtil.java:1408)
	at com.sun.media.imageioimpl.plugins.wbmp.WBMPImageWriterSpi.onRegistration(WBMPImageWriterSpi.java:106)
	at java.desktop/javax.imageio.spi.SubRegistry.registerServiceProvider(ServiceRegistry.java:788)
	at java.desktop/javax.imageio.spi.ServiceRegistry.registerServiceProvider(ServiceRegistry.java:330)
	at org.openstreetmap.josm.plugins.geotools.GeoToolsPlugin.initJAI(GeoToolsPlugin.java:84)
	at org.openstreetmap.josm.plugins.geotools.GeoToolsPlugin.<init>(GeoToolsPlugin.java:35)
	at java.base/jdk.internal.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
	at java.base/jdk.internal.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:62)
	at java.base/jdk.internal.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
	at java.base/java.lang.reflect.Constructor.newInstance(Constructor.java:488)
	at org.openstreetmap.josm.plugins.PluginInformation.load(PluginInformation.java:326)
	at org.openstreetmap.josm.plugins.PluginHandler.loadPlugin(PluginHandler.java:779)
	at org.openstreetmap.josm.plugins.PluginHandler.loadPlugins(PluginHandler.java:862)
	at org.openstreetmap.josm.plugins.PluginHandler.loadLatePlugins(PluginHandler.java:901)
	at org.openstreetmap.josm.gui.MainApplication.loadLatePlugins(MainApplication.java:435)
	at org.openstreetmap.josm.gui.MainApplication.main(MainApplication.java:362)
Caught and handled this exception :
java.lang.NumberFormatException: For input string: ""
	at java.base/java.lang.NumberFormatException.forInputString(NumberFormatException.java:65)
	at java.base/java.lang.Integer.parseInt(Integer.java:662)
	at java.base/java.lang.Integer.parseInt(Integer.java:770)
	at com.sun.media.imageioimpl.common.ImageUtil.processOnRegistration(ImageUtil.java:1408)
	at com.sun.media.imageioimpl.plugins.bmp.BMPImageWriterSpi.onRegistration(BMPImageWriterSpi.java:107)
	at java.desktop/javax.imageio.spi.SubRegistry.registerServiceProvider(ServiceRegistry.java:788)
	at java.desktop/javax.imageio.spi.ServiceRegistry.registerServiceProvider(ServiceRegistry.java:330)
	at org.openstreetmap.josm.plugins.geotools.GeoToolsPlugin.initJAI(GeoToolsPlugin.java:84)
	at org.openstreetmap.josm.plugins.geotools.GeoToolsPlugin.<init>(GeoToolsPlugin.java:35)
	at java.base/jdk.internal.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
	at java.base/jdk.internal.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:62)
	at java.base/jdk.internal.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
	at java.base/java.lang.reflect.Constructor.newInstance(Constructor.java:488)
	at org.openstreetmap.josm.plugins.PluginInformation.load(PluginInformation.java:326)
	at org.openstreetmap.josm.plugins.PluginHandler.loadPlugin(PluginHandler.java:779)
	at org.openstreetmap.josm.plugins.PluginHandler.loadPlugins(PluginHandler.java:862)
	at org.openstreetmap.josm.plugins.PluginHandler.loadLatePlugins(PluginHandler.java:901)
	at org.openstreetmap.josm.gui.MainApplication.loadLatePlugins(MainApplication.java:435)
	at org.openstreetmap.josm.gui.MainApplication.main(MainApplication.java:362)
Caught and handled this exception :
java.lang.NumberFormatException: For input string: ""
	at java.base/java.lang.NumberFormatException.forInputString(NumberFormatException.java:65)
	at java.base/java.lang.Integer.parseInt(Integer.java:662)
	at java.base/java.lang.Integer.parseInt(Integer.java:770)
	at com.sun.media.imageioimpl.common.ImageUtil.processOnRegistration(ImageUtil.java:1408)
	at com.sun.media.imageioimpl.plugins.gif.GIFImageWriterSpi.onRegistration(GIFImageWriterSpi.java:138)
	at java.desktop/javax.imageio.spi.SubRegistry.registerServiceProvider(ServiceRegistry.java:788)
	at java.desktop/javax.imageio.spi.ServiceRegistry.registerServiceProvider(ServiceRegistry.java:330)
	at org.openstreetmap.josm.plugins.geotools.GeoToolsPlugin.initJAI(GeoToolsPlugin.java:84)
	at org.openstreetmap.josm.plugins.geotools.GeoToolsPlugin.<init>(GeoToolsPlugin.java:35)
	at java.base/jdk.internal.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
	at java.base/jdk.internal.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:62)
	at java.base/jdk.internal.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
	at java.base/java.lang.reflect.Constructor.newInstance(Constructor.java:488)
	at org.openstreetmap.josm.plugins.PluginInformation.load(PluginInformation.java:326)
	at org.openstreetmap.josm.plugins.PluginHandler.loadPlugin(PluginHandler.java:779)
	at org.openstreetmap.josm.plugins.PluginHandler.loadPlugins(PluginHandler.java:862)
	at org.openstreetmap.josm.plugins.PluginHandler.loadLatePlugins(PluginHandler.java:901)
	at org.openstreetmap.josm.gui.MainApplication.loadLatePlugins(MainApplication.java:435)
	at org.openstreetmap.josm.gui.MainApplication.main(MainApplication.java:362)
Caught and handled this exception :
java.lang.NumberFormatException: For input string: ""
	at java.base/java.lang.NumberFormatException.forInputString(NumberFormatException.java:65)
	at java.base/java.lang.Integer.parseInt(Integer.java:662)
	at java.base/java.lang.Integer.parseInt(Integer.java:770)
	at com.sun.media.imageioimpl.common.ImageUtil.processOnRegistration(ImageUtil.java:1408)
	at com.sun.media.imageioimpl.plugins.wbmp.WBMPImageReaderSpi.onRegistration(WBMPImageReaderSpi.java:95)
	at java.desktop/javax.imageio.spi.SubRegistry.registerServiceProvider(ServiceRegistry.java:788)
	at java.desktop/javax.imageio.spi.ServiceRegistry.registerServiceProvider(ServiceRegistry.java:330)
	at org.openstreetmap.josm.plugins.geotools.GeoToolsPlugin.initJAI(GeoToolsPlugin.java:84)
	at org.openstreetmap.josm.plugins.geotools.GeoToolsPlugin.<init>(GeoToolsPlugin.java:35)
	at java.base/jdk.internal.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
	at java.base/jdk.internal.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:62)
	at java.base/jdk.internal.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
	at java.base/java.lang.reflect.Constructor.newInstance(Constructor.java:488)
	at org.openstreetmap.josm.plugins.PluginInformation.load(PluginInformation.java:326)
	at org.openstreetmap.josm.plugins.PluginHandler.loadPlugin(PluginHandler.java:779)
	at org.openstreetmap.josm.plugins.PluginHandler.loadPlugins(PluginHandler.java:862)
	at org.openstreetmap.josm.plugins.PluginHandler.loadLatePlugins(PluginHandler.java:901)
	at org.openstreetmap.josm.gui.MainApplication.loadLatePlugins(MainApplication.java:435)
	at org.openstreetmap.josm.gui.MainApplication.main(MainApplication.java:362)
Caught and handled this exception :
java.lang.NumberFormatException: For input string: ""
	at java.base/java.lang.NumberFormatException.forInputString(NumberFormatException.java:65)
	at java.base/java.lang.Integer.parseInt(Integer.java:662)
	at java.base/java.lang.Integer.parseInt(Integer.java:770)
	at com.sun.media.imageioimpl.common.ImageUtil.processOnRegistration(ImageUtil.java:1408)
	at com.sun.media.imageioimpl.plugins.bmp.BMPImageReaderSpi.onRegistration(BMPImageReaderSpi.java:96)
	at java.desktop/javax.imageio.spi.SubRegistry.registerServiceProvider(ServiceRegistry.java:788)
	at java.desktop/javax.imageio.spi.ServiceRegistry.registerServiceProvider(ServiceRegistry.java:330)
	at org.openstreetmap.josm.plugins.geotools.GeoToolsPlugin.initJAI(GeoToolsPlugin.java:84)
	at org.openstreetmap.josm.plugins.geotools.GeoToolsPlugin.<init>(GeoToolsPlugin.java:35)
	at java.base/jdk.internal.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
	at java.base/jdk.internal.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:62)
	at java.base/jdk.internal.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
	at java.base/java.lang.reflect.Constructor.newInstance(Constructor.java:488)
	at org.openstreetmap.josm.plugins.PluginInformation.load(PluginInformation.java:326)
	at org.openstreetmap.josm.plugins.PluginHandler.loadPlugin(PluginHandler.java:779)
	at org.openstreetmap.josm.plugins.PluginHandler.loadPlugins(PluginHandler.java:862)
	at org.openstreetmap.josm.plugins.PluginHandler.loadLatePlugins(PluginHandler.java:901)
	at org.openstreetmap.josm.gui.MainApplication.loadLatePlugins(MainApplication.java:435)
	at org.openstreetmap.josm.gui.MainApplication.main(MainApplication.java:362)

JOSM:

Relative:URL: ^/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2017-08-06 22:38:35 +0200 (Sun, 06 Aug 2017)
Revision:12578
Build-Date:2017-08-07 01:32:55
URL:http://josm.openstreetmap.de/svn/trunk

Identification: JOSM/1.5 (12578 pt_BR) Linux Debian GNU/Linux unstable (sid)
Memory Usage: 261 MB / 3005 MB (114 MB allocated, but free)
Java version: 9-Debian+0-9b181-2, Oracle Corporation, OpenJDK 64-Bit Server VM
Screen: :0.0 1920x1080
Maximum Screen Size: 1920x1080
Java package: openjdk-9-jre:amd64-9~b181-2
Java ATK Wrapper package: libatk-wrapper-java:all-0.33.3-13
VM arguments: [-Dawt.useSystemAAFontSettings=on]

Plugins:
+ AddrInterpolation (33160)
+ Create_grid_of_ways (32699)
+ FastDraw (33182)
+ FixAddresses (33182)
+ ImportImagePlugin (33372)
+ OpeningHoursEditor (33185)
+ PicLayer (33385)
+ SimplifyArea (33004)
+ apache-commons (32994)
+ buildings_tools (33004)
+ download_along (32946)
+ editgpx (33004)
+ ejml (32680)
+ geojson (52)
+ geotools (33380)
+ graphview (33004)
+ jogl (1.1.0)
+ jts (32699)
+ kendzi3d
+ kendzi3d-resources (0.0.1)
+ log4j (32699)
+ measurement (33088)
+ merge-overlap (33436)
+ opendata (33438)
+ pdfimport (33004)
+ photo_geotagging (33088)
+ poly (33004)
+ reverter (33088)
+ tageditor (33021)
+ tagging-preset-tester (33004)
+ todo (30200)
+ turnlanes-tagging (254)
+ turnrestrictions (33088)
+ undelete (33480)
+ utilsplugin2 (33328)

Attachments (0)

Change History (3)

comment:1 Changed 2 weeks ago by naoliv

There is this warning too:

WARNING: An illegal reflective access operation has occurred
WARNING: Illegal reflective access by org.hsqldb.persist.RAFileNIO (file:/home/naoliv/.josm/plugins/geotools.jar) to method java.nio.DirectByteBuffer.cleaner()
WARNING: Please consider reporting this to the maintainers of org.hsqldb.persist.RAFileNIO
WARNING: Use --illegal-access=warn to enable warnings of further illegal reflective access operations
WARNING: All illegal access operations will be denied in a future release

comment:2 Changed 12 days ago by Don-vip

related: https://github.com/jai-imageio/jai-imageio-core/issues/24

The JAI/ImageIO situation is unclear. It has been abandoned by Oracle as a separate artifact, yet the classes can be found in the JDK itself.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as new The owner will remain Don-vip.
as The resolution will be set. Next status will be 'closed'.
to The owner will be changed from Don-vip to the specified user. Next status will be 'new'.
Next status will be 'needinfo'.The owner will change to naoliv
as duplicate The resolution will be set to duplicate. Next status will be 'closed'.The specified ticket will be cross-referenced with this ticket
The owner will be changed from Don-vip to anonymous. Next status will be 'assigned'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.